/* ibm-plex-serif-200 - latin */
@font-face {
  font-family: 'IBM Plex Serif';
  font-style: normal;
  font-weight: 200;
  src: url('../assets/fonts/ibm-plex-serif-v5-latin-200.eot'); /* IE9 Compat Modes */
  src: local('IBM Plex Serif ExtraLight'), local('IBMPlexSerif-ExtraLight'),
       url('../assets/fonts/ibm-plex-serif-v5-latin-200.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('../assets/fonts/ibm-plex-serif-v5-latin-200.woff2') format('woff2'), /* Super Modern Browsers */
       url('../assets/fonts/ibm-plex-serif-v5-latin-200.woff') format('woff'), /* Modern Browsers */
       url('../assets/fonts/ibm-plex-serif-v5-latin-200.ttf') format('truetype'), /* Safari, Android, iOS */
       url('../assets/fonts/ibm-plex-serif-v5-latin-200.svg#IBMPlexSerif') format('svg'); /* Legacy iOS */
}
/* ibm-plex-serif-regular - latin */
@font-face {
  font-family: 'IBM Plex Serif';
  font-style: normal;
  font-weight: 400;
  src: url('../assets/fonts/ibm-plex-serif-v5-latin-regular.eot'); /* IE9 Compat Modes */
  src: local('IBM Plex Serif'), local('IBMPlexSerif'),
       url('../assets/fonts/ibm-plex-serif-v5-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('../assets/fonts/ibm-plex-serif-v5-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
       url('../assets/fonts/ibm-plex-serif-v5-latin-regular.woff') format('woff'), /* Modern Browsers */
       url('../assets/fonts/ibm-plex-serif-v5-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
       url('../assets/fonts/ibm-plex-serif-v5-latin-regular.svg#IBMPlexSerif') format('svg'); /* Legacy iOS */
}



body { 
  margin: 0;
  background: #191A1D;
  overflow: hidden;
  font-family: 'IBM Plex Serif', serif;
  color: #fbf3e3;
}
canvas { 

  /*margin-top:2px;
  border: 1px solid #ccc;*/
}
.startmenu {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: #191A1D;
  color: #fbf3e3;
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
  padding-left: 7%;
  padding-top: 5%;
}
.startmenu h1 {
  font-size: 35px;
  color: #FBF5E9;
  text-align: center;
  font-weight: normal;
}
.left1 {
  -webkit-transform:translateX(-2000px);
          transform:translateX(-2000px);
  transition: 3s;
  opacity: 0;
}
.right1 {
  -webkit-transform:translateX(2000px);
          transform:translateX(2000px);
  transition: 3s;
  opacity: 0;
}
.scale1 {
  -webkit-transform: scale(3.5);
          transform: scale(3.5);
  transition: 3s;
  opacity: 0;
}
.mainmenu {
  display: flex;
  flex-direction: column;
  margin-top: 60px;
}
.mainmenu span {
  display: inline-block;
  font-weight: 200;
  font-size: 25px;
  width: 100%;
  margin: 10px 0;

  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  transition: 0.6s;
}
.mainmenu span:hover {
  color: #CBA174;
}

.menulevels {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: #191A1D;
  color: #FBF3E3;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  display: none;
  font-weight: 200;
}
.menulevels>h1 {
  font-size: 35px;
  color: #FBF5E9;
  text-align: center;
  font-weight: normal;
  display: inline-block;
  margin: 0 auto;
  position: absolute;
  top: 5%;
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
  display: none;
}
.difficulty {
  margin-bottom: 35px;
}
.difficulty span {
  padding: 10px 5px;
  padding-bottom: 2px;
  margin: 0 5px;
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  transition: 0.5s;
}
.difficulty span:hover {
  color: #CBA174;
}

.levBtns>div:hover {
  border: 1px solid #CBA174;
}

.levBtns {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  width: 85%;
}
.levBtns>div {
  width: 23%;
  margin-bottom: 15px;
  margin-right: 15px;
  border: 1px solid #333;
  text-align: center;
  padding: 10px 0px;
  cursor: pointer;
  color: #aaa;
  transition: 0.5s;
}
.medium, .hard {
  display: none;
}
 
.right-menu {
  position: absolute;
  right: 10px;
  top: 10px;
  text-align: right;
  display: flex;
  flex-direction: column;
  color: #fff;
  display: none;
}
.right-menu>div {
  margin-bottom: 10px;
  border: 1px soild #333;
  padding: 5px;
}
.pause-menu-btn, .reset {
  cursor: pointer;
}
.timer {
  width: 100%;
  height: 36px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: url('../assets/images/timer.png') no-repeat center;
  color: #d7b694;
  font-size: 13px;
}
.levN {
  color: #CBA174;
}
.pause-menu {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: #191A1D;
  color: #FBF3E3;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  display: none;
  font-weight: 200;
}
.pause-menu h1 {
  display: inline-block;
  margin-bottom: 50px;
  margin-top: -100px;
  font-size: 45px;
}
.pause-menu span {

  margin: 10px 10px;
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  transition: 0.5s;
}
.pause-menu span:hover {
  color: #CBA174;
}

.underL {
  border-bottom: 1px solid #CBA174;
}

.levelTime {
  display: inline-block;
  margin-top: 10px;
}

.overL {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  background: #191A1D;
  z-index: 99999;
}

.no-mobile {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  background: #191A1D;
  z-index: 999999;
  display: flex;
  display: none;
  justify-content: center;
  align-items: center;
}
.controls {
  position: absolute;
  left: 10px;
  bottom: 10px;
  display: none;
}
.gamedev {
  position: absolute;
  right: 10px;
  bottom: 10px;
  z-index: 9999999;
  color: #333;
  font-weight: bold;
}
.gamedev a {
  color: #00ffff;
  text-decoration: none;
  font-weight: normal;
  font-size: 17px;
}
.aboutScr {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  background: #191A1D;
  z-index: 999999;
  display: none;
  padding-left: 100px;
  padding-top: 100px;
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  color: #aaa;
  position: absolute;
  top: 0;
}
.aboutScr a {
  color: #6F83D1;
  text-decoration: none;
}
.aboutScr span {
  display: inline-block;
  margin-bottom: 5px;
}
.backtostart {
  color: #ccc;
  text-decoration: underline;
  cursor: pointer;
  transition: 0.5s;
}
.backtostart:hover {
  color: #CBA174;  
}

.done {
  position: relative;
}
.done::after{
  position: absolute;
  content: '';
  width: 49px;
  height: 46px;
  background: url('../assets/images/leveldone1.png') no-repeat;
  right: 5%;
  bottom: 14px;

}